﻿using CommandLine;

namespace SvnFlow
{
    public class CmdOptions
    {
        [Option("b", "back", HelpText = "Back direction merging (from Right to Left).")]
        public bool BackDirection;

        [Option("c", "conf", HelpText = "Configuration file name.")]
        public string ConfFileName = string.Empty;

        [Option("p", "pause", HelpText = "Turn on pause.")]
        public bool PauseOn;

        [Option("n", "new", HelpText = "Create empty configuration file.")]
        public bool CreateNewConfig;

        [Option("h", "help", HelpText = "This screen.")]
        public bool ShowHelp;

        [Option("g", "generate",
            HelpText = "Creates new configuration file from existent Left and Right Working folders. Specify path in format <left_path>,<right_path>")] 
        public string GeneratePathList;

        public string[] GeneratePath = new string[] {};
    }
}
